<!DOCTYPE html>

<html lang="en" data-content_root="../../../../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>sagace.exceptions.domain.api_request_error &#8212; sagace 2025 documentation</title>
    <link rel="stylesheet" type="text/css" href="../../../../_static/pygments.css?v=5ecbeea2" />
    <link rel="stylesheet" type="text/css" href="../../../../_static/basic.css?v=b08954a9" />
    <link rel="stylesheet" type="text/css" href="../../../../_static/alabaster.css?v=27fed22d" />
    <script src="../../../../_static/documentation_options.js?v=cb975c41"></script>
    <script src="../../../../_static/doctools.js?v=9bcbadda"></script>
    <script src="../../../../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../../../../genindex.html" />
    <link rel="search" title="Search" href="../../../../search.html" />
   
  <link rel="stylesheet" href="../../../../_static/custom.css" type="text/css" />
  

  
  

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <h1>Source code for sagace.exceptions.domain.api_request_error</h1><div class="highlight"><pre>
<span></span><span class="sd">&quot;&quot;&quot;</span>
<span class="sd">--------------------------------------------------------------------------------------------------------------------</span>

<span class="sd">Descrição:</span>
<span class="sd">~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~</span>

<span class="sd">Este módulo define classes de exceções para tratamento de erros na camada de domínio do sistema SAGACE.</span>
<span class="sd">A classe `APIRequestError` representa erros de requisições feitas à API, garantindo um tratamento estruturado</span>
<span class="sd">para falhas durante chamadas externas.</span>

<span class="sd">Principais funcionalidades:</span>

<span class="sd">- Define uma exceção específica para falhas em requisições à API.</span>
<span class="sd">- Herdada de `DomainError`, garantindo consistência no tratamento de erros do domínio.</span>

<span class="sd">Princípios de Design Aplicados:</span>

<span class="sd">- **Single Responsibility Principle (SRP - SOLID)**: Cada classe tem uma única responsabilidade clara.</span>
<span class="sd">- **Open/Closed Principle (OCP - SOLID)**: `APIRequestError` pode ser estendida sem modificar seu código-fonte.</span>
<span class="sd">- **Encapsulamento**: Centraliza a manipulação de mensagens de erro dentro da exceção.</span>

<span class="sd">Classes:</span>

<span class="sd">- ``APIRequestError``: Representa erros em requisições à API.</span>

<span class="sd">Exemplo de uso:</span>

<span class="sd">.. code-block:: python</span>

<span class="sd">    from sagace.exceptions import APIRequestError</span>

<span class="sd">    try:</span>
<span class="sd">        raise APIRequestError(500, &quot;Erro interno no servidor&quot;)</span>
<span class="sd">    except APIRequestError as e:</span>
<span class="sd">        print(f&quot;Erro capturado: {e}&quot;)</span>

<span class="sd">Autor: Diego Yosiura</span>
<span class="sd">Última Atualização: 27/02/2025 16:46</span>
<span class="sd">Criado em: 27/02/2025 16:46</span>
<span class="sd">Copyright: (c) Ampere Consultoria Ltda</span>
<span class="sd">Projeto Original: sagace-v2-package</span>
<span class="sd">IDE: PyCharm</span>
<span class="sd">&quot;&quot;&quot;</span>

<span class="kn">from</span><span class="w"> </span><span class="nn">.</span><span class="w"> </span><span class="kn">import</span> <span class="n">DomainError</span>


<div class="viewcode-block" id="APIRequestError">
<a class="viewcode-back" href="../../../../sagace.exceptions.domain.html#sagace.exceptions.domain.api_request_error.APIRequestError">[docs]</a>
<span class="k">class</span><span class="w"> </span><span class="nc">APIRequestError</span><span class="p">(</span><span class="n">DomainError</span><span class="p">):</span>
<span class="w">    </span><span class="sd">&quot;&quot;&quot;</span>
<span class="sd">    Exceção para erros em requisições à API.</span>

<span class="sd">    Esta classe é usada para capturar erros retornados por chamadas de API, </span>
<span class="sd">    fornecendo uma estrutura padronizada para tratamento dessas falhas.</span>

<span class="sd">    Princípios aplicados:</span>
<span class="sd">    - **Single Responsibility Principle (S - SOLID)**: Responsável apenas por representar erros de requisição à API.</span>
<span class="sd">    - **Encapsulamento**: Centraliza a manipulação das mensagens de erro.</span>

<span class="sd">    :param status_code: Código de status HTTP retornado pela API.</span>
<span class="sd">    :type status_code: int</span>
<span class="sd">    :param error: Mensagem de erro retornada pela API.</span>
<span class="sd">    :type error: str</span>
<span class="sd">    &quot;&quot;&quot;</span>

    <span class="k">def</span><span class="w"> </span><span class="fm">__init__</span><span class="p">(</span><span class="bp">self</span><span class="p">,</span> <span class="n">status_code</span><span class="p">:</span> <span class="nb">int</span><span class="p">,</span> <span class="n">error</span><span class="p">:</span> <span class="nb">str</span><span class="p">):</span>
<span class="w">        </span><span class="sd">&quot;&quot;&quot;</span>
<span class="sd">        Inicializa a exceção `APIRequestError`.</span>

<span class="sd">        :param status_code: Código de status HTTP retornado pela API.</span>
<span class="sd">        :type status_code: int</span>
<span class="sd">        :param error: Mensagem de erro retornada pela API.</span>
<span class="sd">        :type error: str</span>
<span class="sd">        &quot;&quot;&quot;</span>
        <span class="nb">super</span><span class="p">()</span><span class="o">.</span><span class="fm">__init__</span><span class="p">(</span><span class="sa">f</span><span class="s2">&quot;API Request Error [</span><span class="si">{</span><span class="n">status_code</span><span class="si">}</span><span class="s2">]: </span><span class="si">{</span><span class="n">error</span><span class="si">}</span><span class="s2">.&quot;</span><span class="p">)</span></div>

</pre></div>

          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="Main">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../../../../index.html">sagace</a></h1>









<search id="searchbox" style="display: none" role="search">
    <div class="searchformwrapper">
    <form class="search" action="../../../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" placeholder="Search"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</search>
<script>document.getElementById('searchbox').style.display = "block"</script><h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Conteúdo:</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../../../modules.html">sagace</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../../../../index.html">Documentation overview</a><ul>
  <li><a href="../../../index.html">Module code</a><ul>
  </ul></li>
  </ul></li>
</ul>
</div>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &#169;2025, Ampere Consultoria.
      
      |
      Powered by <a href="https://www.sphinx-doc.org/">Sphinx 8.2.1</a>
      &amp; <a href="https://alabaster.readthedocs.io">Alabaster 1.0.0</a>
      
    </div>

    

    
  </body>
</html>